Bug 1416909 - [RFE] [ODL] [OSP director] Enable OpenDaylight High Availability
Summary: [RFE] [ODL] [OSP director] Enable OpenDaylight High Availability
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: Tim Rozet
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks: 1442136 1414313
TreeView+ depends on / blocked
 
Reported: 2017-01-26 18:54 UTC by Nir Yechiel
Modified: 2018-10-18 07:23 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170616123155.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2017-12-13 21:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 425383 None None None 2017-01-26 18:57:42 UTC
OpenStack gerrit 425934 None None None 2017-03-22 16:42:01 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Nir Yechiel 2017-01-26 18:54:49 UTC
Description of problem:

Currently the TripleO implementation with OpenDaylight only enables OpenDaylight on the first overcloud controller. OpenDaylight supports HA configuration and the purpose of this work is to enable it. 

Changes should be made to OpenDaylight OVS to configure OVS to point to more than one ODL controller. ODL will also need to be configured slightly different to enable HA.

Comment 1 Nir Yechiel 2017-01-26 18:57:42 UTC
Upstream spec: https://blueprints.launchpad.net/tripleo/+spec/opendaylight-ha

Comment 3 Nir Yechiel 2017-03-23 06:59:02 UTC
Both patches are merged for Ocata - we have HA :)

 We have not done the containerization yet, so not sure if any surprises will show up, but there should be no conflict.

Comment 4 Tim Rozet 2017-03-23 17:45:47 UTC
(In reply to Nir Yechiel from comment #3)
> Both patches are merged for Ocata - we have HA :)
> 
>  We have not done the containerization yet, so not sure if any surprises
> will show up, but there should be no conflict.

You mean Pike :)

Comment 5 Nir Yechiel 2017-03-23 18:02:41 UTC
(In reply to Tim Rozet from comment #4)
> (In reply to Nir Yechiel from comment #3)
> > Both patches are merged for Ocata - we have HA :)
> > 
> >  We have not done the containerization yet, so not sure if any surprises
> > will show up, but there should be no conflict.
> 
> You mean Pike :)

People actually read these? :) Yes - Pike (RHOSP 12) according to our plans.

Thanks!

Comment 6 Thierry Vignaud 2017-06-21 12:55:51 UTC
Those changes are included in openstack-tripleo-heat-templates-7.0.0-0.20170616123155.el7ost & puppet-tripleo-7.1.1-0.20170615141731.el7ost

Comment 8 Itzik Brown 2017-09-17 10:56:51 UTC
Check with:
openstack-tripleo-heat-templates-7.0.0-0.20170901051303.0rc1.el7ost.noarch

Comment 12 errata-xmlrpc 2017-12-13 21:04:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.